READ_CACHE_PAGE(9)

NAME
read_cache_page - read into page cache, fill it if needed

SYNOPSIS

struct page * read_cache_page(struct address_space * mapping, pgoff_t index, int (*filler) (void *, struct page *), void * data);

ARGUMENTS

mapping
    the page's address_space

index
    the page index

filler
    function to perform the read

data
    first arg to filler(data, page) function, often left as NULL

DESCRIPTION

Read into the page cache. If a page already exists, and PageUptodate is not set, try to fill the page and wait for it to become unlocked.

If the page does not get brought uptodate, return -EIO.

COPYRIGHT